package com.yingxin.server.client.controller;


import org.springframework.security.oauth2.provider.AuthorizationRequest;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.SessionAttributes;
import org.springframework.web.servlet.ModelAndView;
import javax.servlet.http.HttpServletRequest;
import java.util.Map;

@Controller
@SessionAttributes("authorizationRequest")

public class GrantController {

    @RequestMapping(value = "/oauth/confirm_access")
    public ModelAndView getAccessConfirmation(Map<String, Object> model,HttpServletRequest request) throws Exception {
        AuthorizationRequest authorizationRequest = (AuthorizationRequest) model.get("authorizationRequest");
        String clientId=authorizationRequest.getClientId();
        ModelAndView view = new ModelAndView();
        view.setViewName("grant");
        view.addObject("clientId",clientId );
        view.addObject("scopes",authorizationRequest.getScope());
        System.out.println(authorizationRequest.toString());
        return view;
    }
}
