package com.yingxin.server.client.controller;

import com.yingxin.server.client.config.MySecurityProperties;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
public class LoginController {

    @Autowired
    private MySecurityProperties properties;

    @RequestMapping("/auth/login")
    public String login(Model model) {
        //System.out.println(properties.getLoginProcessUrl());
        model.addAttribute("loginProcessUrl",properties.getLoginProcessUrl());
        return "login";
    }

}
